#
# spec file for package xmlformat (Version 1.04)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xmlformat
BuildRequires:  perl
Summary:        XML document formatter
Version:        1.04
Release:        127.1
License:        BSD-3-Clause
Group:          Productivity/Publishing/XML
Source0:        http://www.kitebird.com/software/xmlformat/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Url:            http://www.kitebird.com/software/xmlformat/
Prefix:         %{_prefix}
DocDir:         %{_docdir}

%description
xmlformat is a configurable formatter (or "pretty-printer") for XML
documents. It provides control over indentation, line-breaking, and
text wrapping. These properties can be defined on a per-element basis.

xmlformat provides improved diagnostic information when a document is
not well-formed. (Prints line and token number, and stack trace).



Authors:
--------
    Paul DuBois <paul |at| kitebird |dot| com>

%prep
%setup -q

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/ $RPM_BUILD_ROOT%{_docdir}

%install
install -m755 xmlformat.pl  $RPM_BUILD_ROOT%{prefix}/bin/
install -m755 xmlformat.rb  $RPM_BUILD_ROOT%{prefix}/bin/

%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)
%doc BUGS ChangeLog INSTALL LICENSE README TODO
%doc bad* test.conf
%doc docs tests
%{prefix}/bin/xmlformat.*

%changelog
* Tue Jan 30 2007 toms@suse.de
- First release of version 1.04
